# DeleteStateRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class DeleteStateRequest

- java.lang.Object
- - io.dapr.client.domain.DeleteStateRequest

    public class DeleteStateRequest
    extends Object

A request to delete a state by key.

### Constructor Summary

Constructors
`DeleteStateRequest​(String storeName, String key)` Constructor for DeleteStateRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEtag()`
`String` `getKey()`
`Map<String,​String>` `getMetadata()`
`StateOptions` `getStateOptions()`
`String` `getStateStoreName()`
`DeleteStateRequest` `setEtag​(String etag)`
`DeleteStateRequest` `setMetadata​(Map<String,​String> metadata)`
`DeleteStateRequest` `setStateOptions​(StateOptions stateOptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteStateRequest

    public DeleteStateRequest​(String storeName,
                              String key)

Constructor for DeleteStateRequest.

Parameters:
  `storeName` - Name of the state store
  `key` - Key present in the state store

### Method Detail

#### getStateStoreName

    public String getStateStoreName()

#### getKey

    public String getKey()

#### getEtag

    public String getEtag()

#### setEtag

    public DeleteStateRequest setEtag​(String etag)

#### getStateOptions

    public StateOptions getStateOptions()

#### setStateOptions

    public DeleteStateRequest setStateOptions​(StateOptions stateOptions)

#### getMetadata

    public Map<String,​String> getMetadata()

#### setMetadata

    public DeleteStateRequest setMetadata​(Map<String,​String> metadata)